Ruby master - Bug #13818

Licence issue with use of Onigmo rather than Oniguruma library files
08/15/2017 01:54 PM - SlySven (Stephen Lyons)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:
UNKNOWN

Description

| am concerned about the current content of the https:/github.com/ruby/ruby/blob/trunk/LEGAL file which implies that Ruby is using
Oniguruma when in fact the forked Onigmo is what is in place - the licence of both are BSD (AFAICT) but the details listed in that file
for the selected files used in Ruby are for the former rather than the latter library and as such do not comply with the terms of that
type of licence (IMHO but IANAL). ([

Confusingly you list include/ruby/oniguruma.h but not include/ruby/onigmo.h so perhaps that is simply because someone forgot
to update the details in the LEGAL file when you switched libraries?

Associated revisions

Revision 8f4f9657 - 11/29/2017 12:04 PM - naruse (Yui NARUSE)
Update information about Oniguruma/Onigmo [Bug #13818]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60938 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 60938 - 11/29/2017 12:04 PM - naruse (Yui NARUSE)
Update information about Oniguruma/Onigmo [Bug #13818]

Revision 60938 - 11/29/2017 12:04 PM - naruse (Yui NARUSE)
Update information about Oniguruma/Onigmo [Bug #13818]

Revision 60938 - 11/29/2017 12:04 PM - naruse (Yui NARUSE)
Update information about Oniguruma/Onigmo [Bug #13818]

History

#1 - 11/29/2017 12:04 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

Applied in changeset trunk|r60938.
